package com.bonus.system.basic.service;


import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.system.att.entity.AttGroupBean;
import com.bonus.system.basic.domain.SysNotice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 我的消息
 *
 * @author hay
 */
public interface SysNoticeService {

    /**
    * 查询我的消息列表
    * @param bean
    * @return
    */
    List<SysNotice> selectNoticeList(SysNotice bean);

    /**
    * 新增我的消息
    * @param bean
    * @return
    */
    AjaxResult insertNotice(SysNotice bean);

    /**
    * 修改我的消息状态
    * @param bean
    * @return
    */
    AjaxResult updateStatus(SysNotice bean);

    /**
     * 根据模型名称获取用户id
     * @param modelName
     * @return
     */
    List<Long> getUserIdByModelName(String modelName);

    /**
     * 获取部门负责人
     * @param orgId
     * @return
     */
    List<Long> getUserIdByOrgId(Long orgId);

    /**
     * 获取考勤管理员
     * @param orgList
     * @return
     */
    List<Long> getAttUserIdByOrgId(List<Long> orgList);

    /**
     * 先删除之前的推送消息
     * @param bean
     */
    AjaxResult delNotice(SysNotice bean);

    List<AttGroupBean> getAttSettingHistoryDate(String s);

    void insertAttSettingHistoryData(List<AttGroupBean> attList);

    List<String> getAttSettingDate(String startDate);
}
